/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { TRIXIndicatorStrategy } from "./TRIXIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class TRIXIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.pb = 0;
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 9;
        this.trendLinePeriod = 9;
    }
    get_p3() {
        return new TRIXIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return TRIXIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qo() {
        return typeGetValue(this.c(TRIXIndicator.qp));
    }
    set qo(a) {
        this.h(TRIXIndicator.qp, a);
    }
    p9() {
        return this.qo;
    }
    qi(a) {
        this.qo = a;
    }
}
TRIXIndicator.$t = markType(TRIXIndicator, 'TRIXIndicator', StrategyBasedIndicator.$);
TRIXIndicator.qp = StrategyBasedIndicator.ql(15, TRIXIndicator.$);
